import requests


class CVE_2024_7313:
    def __init__(self, target_url: str) -> None:
        self.target_url = self.format_target_url(target_url)

    def format_target_url(self, target_url: str) -> str:
        return target_url if target_url.startswith(("http://", "https://")) else f"http://{target_url}"

    def check_vuln(self) -> bool:
        try:
            response = requests.get(f"{self.target_url}/wp-login.php")
            if response.status_code == 200:
                version_info = response.text.split("ver=")[-1].split("\"")[0]
                major_version, minor_version, patch_version = map(int, version_info.split(".")[:3])

                if major_version < 20 or (major_version == 20 and minor_version == 0 and patch_version < 6):
                    return True
            return False
        except Exception:
            return False
